# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['exchange_client']

package_data = \
{'': ['*']}

install_requires = \
['O365==2.0.16', 'exchangelib==4.7.2']

setup_kwargs = {
    'name': 'exchange-client',
    'version': '2.1.1',
    'description': 'A wrapper around exchangelib and python-o365',
    'long_description': "# exchange-client\n\nThis package is a wrapper around exchangelib, facilitating easy creation,\nupdate and deletion of calendar events.\n\n## Why not just use exchangelib?\n\nThree good reasons:\n- Separation of concerns\n- Make sure we actually use the appropriate identifier for calendar items\n- One does not simply create an item in Exchange\n\n## Identifiers in Exchange\n\nEach calender item created has a field `id`, which uniquely identifies the\ncalendar item in Exchange. This field can change, depending on a multitude of\nfactors.\n\nexchange-client registers an extended property on calendar items, that allows\nus to attach a custom string to each calendar item. This custom string can in\nturn be used to locate calendar items reliably at a later time.\n\nThe extended property identifier is set by the `identity_property_name`\nargument supplied to `ExchangeClient` when initializing. The identifier will\nallow multiple integrations to use `exchange-client` simultaneously.\n\nThe observant user will notice that operations like `update_item()` and\n`delete_item()` returns a list of calendar items. The list contains all\ncalendar items that has been acted upon when the operation was performed, as\nthere is a possibility for users to copy calendar items (the extended property\nis a part of the calendar item).\n\n## Usage\n\nInitialize exchange-client\n\n    import exchange_client\n    c = exchange_client.ExchangeClient(\n        'my-persistent-identifier-for-identifiers',\n        'mail.example.com',\n        'example.com\\my_service_account',\n        'my_password')\n\nGet an account\n\n    account = c.account('primary_address@example.com')\n\nCreate a calendar item\n\n    item = c.create_item(\n        account,\n        'a-string-that-uniquely-identifies-this-item',\n        'The subject',\n        'The body',\n        datetime.datetime.now(),\n        datetime.datetime.now() + datetime.timedelta(hours=3))\n\nUpdate the created calendar item\n\n    for x in c.update_item(\n            account,\n            'a-string-that-uniquely-identifies-this-item',\n            'A long meeting',\n            'A longer agenda…',\n            datetime.datetime.now() + datetime.timedelta(seconds=50),\n            datetime.datetime.now() + datetime.timedelta(hours=10):\n        print(x)\n\nDelete an item\n\n    for x in c.delete_item(account, 'a-string-that-uniquely-identifies-this-item'):\n        print(x)\n",
    'author': 'USIT-INT',
    'author_email': 'bnt-int@usit.uio.no',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
